CREATE TABLE ap_history_checks_all (
    CHECK_ID                 NUMBER(18, 0),
    CHECK_NUMBER             NUMBER(18, 0)    NOT NULL,
    CHECK_DATE               DATE             NOT NULL,
    AMOUNT                   NUMBER           NOT NULL,
    CURRENCY_CODE            VARCHAR2(60)     NOT NULL,
    VOID_FLAG                VARCHAR2(4)  ,
    PURGE_NAME               VARCHAR2(60) ,
    DOC_SEQUENCE_ID          NUMBER       ,
    DOC_SEQUENCE_VALUE       NUMBER       ,
    ORG_ID                   NUMBER(18, 0)    NOT NULL,
    CE_BANK_ACCT_USE_ID      NUMBER(18, 0),
    PAYMENT_ID               NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CHECK_ID                 NUMBER(18, 0),
    CHECK_NUMBER             NUMBER(18, 0)    NOT NULL,
    CHECK_DATE               DATE             NOT NULL,
    AMOUNT                   NUMBER           NOT NULL,
    CURRENCY_CODE            VARCHAR2(60)     NOT NULL,
    VOID_FLAG                VARCHAR2(4)  ,
    PURGE_NAME               VARCHAR2(60) ,
    DOC_SEQUENCE_ID          NUMBER       ,
    DOC_SEQUENCE_VALUE       NUMBER       ,
    ORG_ID                   NUMBER(18, 0)    NOT NULL,
    CE_BANK_ACCT_USE_ID      NUMBER(18, 0),
    PAYMENT_ID               NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_ap_history_checks_all PRIMARY KEY (CHECK_ID, CHECK_ID)
);
